PostgreSQL 9.3.2 Documentation
Prev | Up |  | Next

# ALTER LARGE OBJECT

## Name

ALTER LARGE OBJECT -- change the definition of a large object

## Synopsis

    ALTER LARGE OBJECT large_object_oid OWNER TO new_owner

## Description

`ALTER LARGE OBJECT` changes the definition of a large object. The only functionality is to assign a new owner. You must be superuser or owner of the large object to use `ALTER LARGE OBJECT`.

## Parameters

`large_object_oid`

  OID of the large object to be altered

`new_owner`

  The new owner of the large object

## Compatibility

There is no `ALTER LARGE OBJECT` statement in the SQL standard.

## See Also

Chapter 32

Prev | Home | Next
ALTER LANGUAGE | Up | ALTER MATERIALIZED VIEW